Bug 712114 - Implementation issues found during Openswan code review for CCC evaluation
Implementation issues found during Openswan code review for CCC evaluation
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openswan (Show other bugs)
6.1
Unspecified Unspecified
urgent Severity high
: rc
: ---
Assigned To: Avesh Agarwal
Aleš Mareček
: ZStream
Depends On: 703985
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-09 10:31 EDT by RHEL Product and Program Management
Modified: 2011-07-19 17:26 EDT (History)
8 users (show)

See Also:
Fixed In Version: openswan-2_6_32-4_el6_1.1
Doc Type: Bug Fix
Doc Text:
Prior to this update, very large security label strings received from the peer were being truncated. The truncated string was then still used. However, this truncated string could, under rare circumstances, turn out to be a valid string, leading to an incorrect policy. Additionally, erroneous queuing of on-demand requests of setting up an IPsec connection was discovered in the IKEv2 (Internet Key Exchange) code. Although not harmful, it was not the intended design. This update fixes both of these issues, and Openswan now correctly handles the IKE setup.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-19 17:26:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RHEL Product and Program Management 2011-06-09 10:31:45 EDT
This bug has been copied from bug #703985 and has been proposed
to be backported to 6.1 z-stream (EUS).
Comment 6 Martin Prpič 2011-07-13 15:42:11 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Prior to this update, very large security label strings received from the peer were being truncated. The truncated string was then still used. However, this truncated string could, under rare circumstances, turn out to be a valid string, leading to an incorrect policy. Additionally, erroneous queuing of on-demand requests of setting up an IPsec connection was discovered in the IKEv2 (Internet Key Exchange) code. Although not harmful, it was not the intended design. This update fixes both of these issues, and Openswan now correctly handles the IKE setup.
Comment 7 errata-xmlrpc 2011-07-19 17:26:17 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0961.html

Note You need to log in before you can comment on or make changes to this bug.